module adj_mod_dp
!  INTEGER, PARAMETER      :: dbl = SELECTED_REAL_KIND(15,307)

contains
  subroutine adjnull(       adj, add, x, y)
    logical, intent (in) :: adj, add
    real(kind=8), dimension (:)  :: x, y
    if( .not. add) then
       if( adj) then
          x = 0.
       else
          y = 0.
       end if
    end if
  end subroutine adjnull
end module adj_mod_dp

